<!DOCTYPE html>
<html>
  <head>
    <title>NAKORNHUY</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
    <% javascript_include_tag :cocoon %>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">

    <script src="https://cdn.jsdelivr.net/npm/html2canvas@1.0.0-rc.5/dist/html2canvas.min.js"></script>
  </head>

  <body>
    <nav class="navbar navbar-inverse">
      <div class="container-fluid">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
          <% if current_user.present? %>
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
              <span class="sr-only">Toggle navigation</span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
            </button>
          <% end %>
          <a class="navbar-brand" href="/">นครหวย</a>
          <% if current_user.present? %>
            <% if current_user.agent? || current_user.member? %>
              <li class="navbar-text" href="/">Credit: <%= current_user.user_datum.credit %></li>
              <li class="navbar-text ">สู้: <%= current_user.user_datum.fight_percent || 0%>%</li>
            <% end %>
          <% end %>
        </div>

        <% if current_user.present? %>

          <!-- Collect the nav links, forms, and other content for toggling -->
          <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <ul class="nav navbar-nav">
              <% unless current_user.member? %>
                <li><%= link_to 'สรุปยอด Member', agent_member_invoices_path(current_user) %></li>
              <% end %>
              <li class="dropdown">
                <% if current_user.agent? || current_user.admin?%>
                  <li><%= link_to 'User', users_path %></li>
                  <% if current_user.agent? && !current_user.lottery_owner.blank?%>
                    <li><%= link_to 'ออกหวย', create_lottery_path %></li>
                  <% end %>
                <% end %>
              </li>
              <li class="dropdown">
                <% if current_user.admin?%>
                  <li><%= link_to 'รายการหวย', lottery_topics_path %></li>
                <% end %>
              </li>
            </ul>

            <ul class="nav navbar-nav navbar-right">
              <li><%= link_to 'บิลทั้งหมด', bills_path %></li>
              <li><%= link_to 'สรุปยอด', invoices_path %></li>
              <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><%= current_user.name %> <span class="caret"></span></a>
                <ul class="dropdown-menu">
                  <li><%= link_to 'โปรไฟล์', profile_path(current_user)%></li>
                  <li><%= link_to 'ออกจากระบบ', destroy_user_session_path, method: :delete %></li>
                </ul>
              </li>
            </ul>
          </div><!-- /.navbar-collapse -->
        <% end %>
      </div><!-- /.container-fluid -->
    </nav>

    <div class="container-fluid">
      <% if notice.present?%>
        <div class="alert alert-success" role="alert">
          <%= notice %>
        </div>
      <% end %>
      <% if alert.present?%>
        <div class="alert alert-danger" role="alert">
          <%= alert %>
        </div>
      <% end %>
      <%= yield %>
    </div>
      
  </body>
</html>
